Page MenuHomeFreeBSD

fortuna: Drop global lock to zero stack variables
ClosedPublic

Authored by cem on Sep 1 2018, 7:01 PM.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

cem created this revision.Sep 1 2018, 7:01 PM
markm added inline comments.Sep 1 2018, 7:17 PM
sys/dev/random/fortuna.c
421 ↗(On Diff #47566)

May as well drop this?

markm added inline comments.Sep 1 2018, 7:19 PM
sys/dev/random/fortuna.c
421 ↗(On Diff #47566)

By "this" I mean just the zeroing of the context, as you pointed out?

cem added inline comments.Sep 1 2018, 7:21 PM
sys/dev/random/fortuna.c
421 ↗(On Diff #47566)
cem updated this revision to Diff 47568.Sep 1 2018, 7:23 PM
cem marked 3 inline comments as done.

Drop extra bzero of hash context, as I pointed out earlier but forgot about
:-). Thanks markm@.

markm accepted this revision.Sep 5 2018, 5:20 PM
This revision is now accepted and ready to land.Sep 5 2018, 5:20 PM
delphij accepted this revision.Sep 6 2018, 8:10 PM
delphij added a subscriber: delphij.

LGTM.

This revision was automatically updated to reflect the committed changes.